Subject: Re: [PATCH] Console keyboard events and accessibility

From: Adrian Bunk <[email-masked]>

On Tue, Aug 21, 2007 at 10:22:51PM +0200, Samuel Thibault wrote:
> Hi,
> 
> Andrew Morton, le Tue 21 Aug 2007 13:02:33 -0700, a écrit :
> > On Tue, 21 Aug 2007 02:57:18 +0200
> > Samuel Thibault <[email-masked]> wrote:
> > 
> > > Some external modules like Speakup need to use the PC keyboard to control
> > > them and also need to get keyboard feedback (caps lock status, etc.)
> > > 
> > > This adds a keyboard notifier that such modules can use to get the keyboard
> > > events and possibly eat them, at several stages:
> > 
> > Adding hooks for non-merged modules is considered sinful.  Making these new
> > exports EXPORT_SYMBOL_GPL might ease the pain.
> 
> That should be fine.
> 
> I'll soon propose a notifier for the console writes too, same story.
> 
> > Is there any prospect of getting at least one of these "external modules
> > like Speakup" merged into mainline?
> 
> I'm working on it.  The problem is that the current code quality is
> still far from mainline requirements (though improving over time).  This
> hook (and the other one I'll post) is a step toward merging.  If these
> hooks can go mainline, then great, that will make life easier for the
> few distributions that want to provide speakup as modules. 

How long does it take you for getting the first users submitted for 
review? If you are working on it it should be in the order of "a few 
months", and earlier merging would anyway gain you only one or two 
kernel releases.

> If they
> remain in -mm for some time and people don't complain, well that's good
> too: at least we know how speakup may hook into the kernel when it gets
> merged.
>...

Without any users it's dead code noone uses, and complaints will most 
likely not occur until you submit the first users for review...

> Samuel

cu
Adrian

BTW: Are these the speakup patches that were in -ac five years ago?

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed